[Deprecated]: V1.0
post
/ec-dc-svc/rest/v1.0/studies/{studyId}/{mode}/visit/verify/history
Deprecated: Retrieves the latest audit records for visit verification.
Request
Path Parameters
-
mode(required): string
Mode of the study. Accepts test, active, or training.
-
studyId(required): string
ID of the study.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRequest to fetch visit verify history for specified subjects within a date range. Dates must be provided in dd-MMM-yyyy format (Example- 01-Jan-2023).
Show Source
-
endDate: string
(date-time)
End date in dd-MMM-yyyy format
-
startDate: string
(date-time)
Start date in dd-MMM-yyyy format
-
subjects: array
subjects
List of subject unique identifiers in UUID, 32-character uppercase hexadecimal string format to filter by
Nested Schema : subjects
Type:
arrayList of subject unique identifiers in UUID, 32-character uppercase hexadecimal string format to filter by
Show Source
-
Array of:
string(uuid)
List of subject unique identifiers in UUID, 32-character uppercase hexadecimal string format to filter by
Example:
[
"5D5F9311C591424F852B99FD902E98A4",
"6D5F9311C591424F852B99FD902E98A4"
]Response
Supported Media Types
- application/json
200 Response
Success
Root Schema : DcsResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.